@import url("variable.css");
@import url("navbar.css");
@import url("hero.css");
@import url("tour.css");
@import url("about.css");
@import url("gallery.css");
@import url("contact.css");
@import url("footer.css");
@import url("mediaQuery.css");

/* ========= Global Styling ========= */

html {
  scroll-snap-type: mandatory;
  scroll-behavior: smooth;
  scrollbar-gutter: stable;
}

*,
*::before,
*::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

/* *:focus:not(button, a, select, ::picker(select)) { */
input:focus,
textarea:focus,
select:focus {
  outline: none;
  border: none;
  border-bottom: 2px solid var(--color-green-500);
}
/* ::selection {
  color: rgb(220, 228, 239);
  background-color: rgb(84, 138, 238);
} */

body {
  min-block-size: 100svh;
  background-color: var(--color-neutral-50);
  font-family: var(--font-secondary);
  font-size: var(--font-size-base);
  color: var(--color-text);
  line-height: var(--line-height-base);
  overflow-x: hidden;
}

a {
  text-decoration: none;
  color: var(--color-text);
}

li {
  list-style: none;
}

h1,
h2,
h3,
h4,
h5 {
  font-family: var(--font-primary);
  color: var(--color-section-heading);
  font-weight: 700;
  line-height: var(--line-height-heading);
  margin: 0;
}

h2 {
  font-size: var(--font-size-2xl);
  font-weight: 700;
}

h3 {
  font-size: var(--font-size-lg);
  font-weight: 500;
}

h4 {
  font-size: var(--font-size-md);
  font-weight: 600;
}

h5 {
  font-size: var(--font-size-s);
  font-weight: 600;
  text-transform: uppercase;
}

.section:not(.hero) {
  padding: var(--spacing-2xl) var(--spacing-base);
  max-width: 100%;
  height: auto;
}
.section {
  background: #fff;
}

.about,
.contact {
  background-color: var(--color-bg-light);
}

.grid__container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: var(--spacing-l);
  padding: var(--spacing-base);
}

.section__heading {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: var(--spacing-s);
  overflow: hidden;
  margin-bottom: var(--spacing-l);
}

.section__heading--primary {
  /* width: 90%; */
  display: inline-block;
  font-size: var(--font-size-xl);
  line-height: var(--line-height-heading);
  font-weight: 600;
  text-wrap: wrap;
  text-align: center;
}

.section__heading--secondary {
  display: inline-block;
  font-size: var(--font-size-base);
  position: relative;
  text-wrap: balance;
  text-align: center;
}

.btn {
  text-decoration: none;
  font-family: var(--body-text-font);
  /* font-size: var(--font-size-base); */
  font-size: var(--font-size-s);
  letter-spacing: 0.5px;
  text-align: center;
  display: inline-block;
  padding: var(--spacing-s) var(--spacing-base);
  border-radius: var(--border-radius-m);
  border: none;
  cursor: pointer;
  transition: background-color var(--transition-duration);
}

.btn--animate:active {
  /* background-color: var(--color-hover); */
  transform: perspective(800px) translate3d(-2px, -2px, -4px);
  transition: all 0.2s ease-in-out;
}

.btn--primary {
  background-color: var(--color-accent);
  color: var(--color-link-text);
  border: none;
  display: block;
  text-decoration: none;
  transition: background-color 0.3s ease-in-out;

  &:hover {
    background-color: var(--color-hover);
    outline: 1px solid var(--color-border);
    outline-offset: -2px;
  }
}

.btn--secondary {
  background-color: transparent;
  /* color: var(--color-accent); */
  /* border: 1px solid var(--color-accent); */
  color: var(--color-neutral-400);
  border: 1px solid var(--color-neutral-400);
  transition: all 0.3s ease-in-out;

  &:hover {
    color: var(--color-neutral-300);
    border-color: var(--color-neutral-300);
  }
}
